Index: misc/CMake/CompilerFlags.cmake
===================================================================
--- misc/CMake/CompilerFlags.cmake	(revision 54114)
+++ misc/CMake/CompilerFlags.cmake	(working copy)
@@ -72,10 +72,10 @@
 # Convenience language based wrapper for calling the correct compiler flag test macro
 macro(CHECK_COMPILER_FLAG FLAG_LANG NEW_FLAG RESULTVAR)
   if("${FLAG_LANG}" STREQUAL "C")
-    CHECK_C_COMPILER_FLAG(${NEW_FLAG} ${RESULTVAR})
+    check_c_compiler_flag(${NEW_FLAG} ${RESULTVAR})
   endif("${FLAG_LANG}" STREQUAL "C")
   if("${FLAG_LANG}" STREQUAL "CXX")
-    CHECK_CXX_COMPILER_FLAG(${NEW_FLAG} ${RESULTVAR})
+    check_cxx_compiler_flag(${NEW_FLAG} ${RESULTVAR})
   endif("${FLAG_LANG}" STREQUAL "CXX")
 endmacro(CHECK_COMPILER_FLAG LANG NEW_FLAG RESULTVAR)
 
@@ -123,21 +123,21 @@
   if(${ARGC} LESS 3)
 
     # Handle default (global) case
-    CHECK_COMPILER_FLAG(${FLAG_LANG} ${NEW_FLAG} ${UPPER_FLAG}_COMPILER_FLAG_FOUND)
+    check_compiler_flag(${FLAG_LANG} ${NEW_FLAG} ${UPPER_FLAG}_COMPILER_FLAG_FOUND)
     if(${UPPER_FLAG}_COMPILER_FLAG_FOUND)
-      ADD_NEW_FLAG(${FLAG_LANG} NEW_FLAG ALL)
+      add_new_flag(${FLAG_LANG} NEW_FLAG ALL)
     endif(${UPPER_FLAG}_COMPILER_FLAG_FOUND)
 
   else(${ARGC} LESS 3)
 
     # Parse extra arguments
-    CMAKE_PARSE_ARGUMENTS(FLAG "" "" "BUILD_TYPES;GROUPS;VARS" ${ARGN})
+    cmake_parse_arguments(FLAG "" "" "BUILD_TYPES;GROUPS;VARS" ${ARGN})
 
     # Iterate over listed Build types and append the flag to them if successfully tested.
     foreach(build_type ${FLAG_BUILD_TYPES})
-      CHECK_COMPILER_FLAG(${FLAG_LANG} ${NEW_FLAG} ${UPPER_FLAG}_COMPILER_FLAG_FOUND)
+      check_compiler_flag(${FLAG_LANG} ${NEW_FLAG} ${UPPER_FLAG}_COMPILER_FLAG_FOUND)
       if(${UPPER_FLAG}_COMPILER_FLAG_FOUND)
-	ADD_NEW_FLAG(C NEW_FLAG "${build_type}")
+	add_new_flag(C NEW_FLAG "${build_type}")
       endif(${UPPER_FLAG}_COMPILER_FLAG_FOUND)
     endforeach(build_type ${FLAG_BUILD_TYPES})
 
@@ -145,7 +145,7 @@
     # a string build, not a CMake list build.  Do this for all supplied
     # group variables.
     foreach(flag_group ${FLAG_GROUPS})
-      CHECK_COMPILER_FLAG(${FLAG_LANG} ${NEW_FLAG} ${UPPER_FLAG}_COMPILER_FLAG_FOUND)
+      check_compiler_flag(${FLAG_LANG} ${NEW_FLAG} ${UPPER_FLAG}_COMPILER_FLAG_FOUND)
       if(${UPPER_FLAG}_COMPILER_FLAG_FOUND)
 	if(${flag_group})
 	  set(${flag_group} "${${flag_group}} ${NEW_FLAG}")
@@ -159,7 +159,7 @@
     # the flag as the variable's value.  Do this for all supplied variables.
     foreach(flag_var ${FLAG_VARS})
       if(NOT ${flag_var})
-	CHECK_COMPILER_FLAG(${FLAG_LANG} ${NEW_FLAG} ${UPPER_FLAG}_COMPILER_FLAG_FOUND)
+	check_compiler_flag(${FLAG_LANG} ${NEW_FLAG} ${UPPER_FLAG}_COMPILER_FLAG_FOUND)
 	if(${UPPER_FLAG}_COMPILER_FLAG_FOUND AND NOT "${${flag_var}}")
 	  set(${flag_var} "${NEW_FLAG}")
 	endif(${UPPER_FLAG}_COMPILER_FLAG_FOUND AND NOT "${${flag_var}}")
@@ -171,10 +171,10 @@
 
 # Convenience wrappers to call the primary checking function with a default language.
 macro(BRLCAD_CHECK_C_FLAG)
-  BRLCAD_CHECK_FLAG(C ${ARGN})
+  brlcad_check_flag(C ${ARGN})
 endmacro(BRLCAD_CHECK_C_FLAG)
 macro(BRLCAD_CHECK_CXX_FLAG)
-  BRLCAD_CHECK_FLAG(CXX ${ARGN})
+  brlcad_check_flag(CXX ${ARGN})
 endmacro(BRLCAD_CHECK_CXX_FLAG)
 
 # Clear out most CMake-assigned defaults - We're managing
@@ -210,30 +210,30 @@
 #set(CMAKE_EXE_LINKER_FLAGS "")
 
 # try to use -pipe to speed up the compiles
-BRLCAD_CHECK_C_FLAG(pipe)
-BRLCAD_CHECK_CXX_FLAG(pipe)
+brlcad_check_c_flag(pipe)
+brlcad_check_cxx_flag(pipe)
 
 # check for -fno-strict-aliasing
 # XXX - THIS FLAG IS REQUIRED if any level of optimization is
 # enabled with GCC as we do use aliasing and type-punning.
-BRLCAD_CHECK_C_FLAG(fno-strict-aliasing)
-BRLCAD_CHECK_CXX_FLAG(fno-strict-aliasing)
+brlcad_check_c_flag(fno-strict-aliasing)
+brlcad_check_cxx_flag(fno-strict-aliasing)
 
 # check for -fno-common (libtcl needs it on darwin)
-BRLCAD_CHECK_C_FLAG(fno-common)
-BRLCAD_CHECK_CXX_FLAG(fno-common)
+brlcad_check_c_flag(fno-common)
+brlcad_check_cxx_flag(fno-common)
 
 # check for -fexceptions
 # this is needed to resolve __Unwind_Resume when compiling and
 # linking against openNURBS in librt for some binaries, for
 # example rttherm (i.e. any -static binaries)
-BRLCAD_CHECK_C_FLAG(fexceptions)
-BRLCAD_CHECK_CXX_FLAG(fexceptions)
+brlcad_check_c_flag(fexceptions)
+brlcad_check_cxx_flag(fexceptions)
 
 # check for -ftemplate-depth-NN this is needed in libpc and
 # other code using boost where the template instantiation depth
 # needs to be increased from the default ANSI minimum of 17.
-BRLCAD_CHECK_CXX_FLAG(ftemplate-depth-128)
+brlcad_check_cxx_flag(ftemplate-depth-128)
 
 # dynamic SSE optimizations for NURBS processing
 #
@@ -242,7 +242,7 @@
 #     may still output SSE instructions (e.g., for cross-compiling).
 # BRLCAD_CHECK_C_FLAG(msse)
 # BRLCAD_CHECK_C_FLAG(msse2)
-BRLCAD_CHECK_C_FLAG(msse3 BUILD_TYPES Debug)
+brlcad_check_c_flag(msse3 BUILD_TYPES Debug)
 
 # Check for c90 support with gnu extensions if we're not building for a
 # release and c99 support with gnu extensions when we are building for a
@@ -256,69 +256,69 @@
 # having '//' comments embedded).  Do as the Autotools system did
 # and use gnu99 here - c99 has problems on Linux.
 # BRLCAD_CHECK_C_FLAG("std=gnu1x")
-BRLCAD_CHECK_C_FLAG("std=gnu99" BUILD_TYPES Release VARS C99_FLAG)
-BRLCAD_CHECK_C_FLAG("std=gnu89" BUILD_TYPES Debug)
+brlcad_check_c_flag("std=gnu99" BUILD_TYPES Release VARS C99_FLAG)
+brlcad_check_c_flag("std=gnu89" BUILD_TYPES Debug)
 
 # Silence check for unused arguments (used to silence clang warnings about
 # unused options on the command line). By default clang generates a lot of
 # warnings about such arguments, and we don't really care.
-BRLCAD_CHECK_C_FLAG(Qunused-arguments)
-BRLCAD_CHECK_CXX_FLAG(Qunused-arguments)
+brlcad_check_c_flag(Qunused-arguments)
+brlcad_check_cxx_flag(Qunused-arguments)
 
 # 64bit compilation flags
 if(${CMAKE_WORD_SIZE} MATCHES "64BIT")
-  BRLCAD_CHECK_C_FLAG(m64 VARS 64BIT_FLAG)
-  BRLCAD_CHECK_C_FLAG("arch x86_64" VARS 64BIT_FLAG)
-  BRLCAD_CHECK_C_FLAG(64 VARS 64BIT_FLAG)
-  BRLCAD_CHECK_C_FLAG("mabi=64" VARS  64BIT_FLAG)
+  brlcad_check_c_flag(m64 VARS 64BIT_FLAG)
+  brlcad_check_c_flag("arch x86_64" VARS 64BIT_FLAG)
+  brlcad_check_c_flag(64 VARS 64BIT_FLAG)
+  brlcad_check_c_flag("mabi=64" VARS  64BIT_FLAG)
   if(NOT 64BIT_FLAG AND ${CMAKE_WORD_SIZE} MATCHES "64BIT")
     message(FATAL_ERROR "Trying to compile 64BIT but all 64 bit compiler flag tests failed!")
   endif(NOT 64BIT_FLAG AND ${CMAKE_WORD_SIZE} MATCHES "64BIT")
-  BRLCAD_CHECK_C_FLAG(q64 VARS 64BIT_FLAG)
-  ADD_NEW_FLAG(C 64BIT_FLAG ALL)
-  ADD_NEW_FLAG(CXX 64BIT_FLAG ALL)
-  ADD_NEW_FLAG(SHARED_LINKER 64BIT_FLAG ALL)
-  ADD_NEW_FLAG(EXE_LINKER 64BIT_FLAG ALL)
+  brlcad_check_c_flag(q64 VARS 64BIT_FLAG)
+  add_new_flag(C 64BIT_FLAG ALL)
+  add_new_flag(CXX 64BIT_FLAG ALL)
+  add_new_flag(SHARED_LINKER 64BIT_FLAG ALL)
+  add_new_flag(EXE_LINKER 64BIT_FLAG ALL)
 endif(${CMAKE_WORD_SIZE} MATCHES "64BIT")
 
 # 32 bit compilation flags
 if(${CMAKE_WORD_SIZE} MATCHES "32BIT" AND NOT ${BRLCAD_WORD_SIZE} MATCHES "AUTO")
-  BRLCAD_CHECK_C_FLAG(m32 VARS 32BIT_FLAG)
-  BRLCAD_CHECK_C_FLAG("arch i686" VARS 32BIT_FLAG)
-  BRLCAD_CHECK_C_FLAG(32 VARS 32BIT_FLAG)
-  BRLCAD_CHECK_C_FLAG("mabi=32" VARS 32BIT_FLAG)
-  BRLCAD_CHECK_C_FLAG(q32 VARS 32BIT_FLAG)
+  brlcad_check_c_flag(m32 VARS 32BIT_FLAG)
+  brlcad_check_c_flag("arch i686" VARS 32BIT_FLAG)
+  brlcad_check_c_flag(32 VARS 32BIT_FLAG)
+  brlcad_check_c_flag("mabi=32" VARS 32BIT_FLAG)
+  brlcad_check_c_flag(q32 VARS 32BIT_FLAG)
   if(NOT 32BIT_FLAG AND ${CMAKE_WORD_SIZE} MATCHES "32BIT")
     message(FATAL_ERROR "Trying to compile 32BIT but all 32 bit compiler flag tests failed!")
   endif(NOT 32BIT_FLAG AND ${CMAKE_WORD_SIZE} MATCHES "32BIT")
-  ADD_NEW_FLAG(C 32BIT_FLAG ALL)
-  ADD_NEW_FLAG(CXX 32BIT_FLAG ALL)
-  ADD_NEW_FLAG(SHARED_LINKER 32BIT_FLAG ALL)
-  ADD_NEW_FLAG(EXE_LINKER 32BIT_FLAG ALL)
+  add_new_flag(C 32BIT_FLAG ALL)
+  add_new_flag(CXX 32BIT_FLAG ALL)
+  add_new_flag(SHARED_LINKER 32BIT_FLAG ALL)
+  add_new_flag(EXE_LINKER 32BIT_FLAG ALL)
 endif(${CMAKE_WORD_SIZE} MATCHES "32BIT" AND NOT ${BRLCAD_WORD_SIZE} MATCHES "AUTO")
 
 if(BRLCAD_ENABLE_PROFILING)
-  BRLCAD_CHECK_C_FLAG(pg VARS PROFILE_FLAG)
-  BRLCAD_CHECK_C_FLAG(p VARS PROFILE_FLAG)
-  BRLCAD_CHECK_C_FLAG(prof_gen VARS PROFILE_FLAG)
+  brlcad_check_c_flag(pg VARS PROFILE_FLAG)
+  brlcad_check_c_flag(p VARS PROFILE_FLAG)
+  brlcad_check_c_flag(prof_gen VARS PROFILE_FLAG)
   if(NOT PROFILE_FLAG)
     message("Warning - profiling requested, but don't know how to profile with this compiler - disabling.")
     set(BRLCAD_ENABLE_PROFILING OFF)
   else(NOT PROFILE_FLAG)
-    ADD_NEW_FLAG(C PROFILE_FLAG ALL)
-    ADD_NEW_FLAG(CXX PROFILE_FLAG ALL)
+    add_new_flag(C PROFILE_FLAG ALL)
+    add_new_flag(CXX PROFILE_FLAG ALL)
   endif(NOT PROFILE_FLAG)
 endif(BRLCAD_ENABLE_PROFILING)
 
 # Debugging flags
 if(BRLCAD_FLAGS_DEBUG)
-  BRLCAD_CHECK_C_FLAG(g GROUPS DEBUG_C_FLAGS)
-  BRLCAD_CHECK_CXX_FLAG(g GROUPS DEBUG_CXX_FLAGS)
+  brlcad_check_c_flag(g GROUPS DEBUG_C_FLAGS)
+  brlcad_check_cxx_flag(g GROUPS DEBUG_CXX_FLAGS)
   if(APPLE)
-    EXEC_PROGRAM(sw_vers ARGS -productVersion OUTPUT_VARIABLE MACOSX_VERSION)
+    exec_program(sw_vers ARGS -productVersion OUTPUT_VARIABLE MACOSX_VERSION)
     if(${MACOSX_VERSION} VERSION_LESS "10.5")
-      BRLCAD_CHECK_C_FLAG(ggdb3 GROUPS DEBUG_C_FLAGS)
-      BRLCAD_CHECK_CXX_FLAG(ggdb3 GROUPS DEBUG_CXX_FLAGS)
+      brlcad_check_c_flag(ggdb3 GROUPS DEBUG_C_FLAGS)
+      brlcad_check_cxx_flag(ggdb3 GROUPS DEBUG_CXX_FLAGS)
     else(${MACOSX_VERSION} VERSION_LESS "10.5")
       # CHECK_C_COMPILER_FLAG silently eats gstabs+ - also, compiler
       # apparently doesn't like mixing stabs with another debug flag.
@@ -326,19 +326,19 @@
       set(DEBUG_CXX_FLAGS "-ggdb")
     endif(${MACOSX_VERSION} VERSION_LESS "10.5")
   else(APPLE)
-    BRLCAD_CHECK_C_FLAG(ggdb3 GROUPS DEBUG_C_FLAGS)
-    BRLCAD_CHECK_CXX_FLAG(ggdb3 GROUPS DEBUG_CXX_FLAGS)
+    brlcad_check_c_flag(ggdb3 GROUPS DEBUG_C_FLAGS)
+    brlcad_check_cxx_flag(ggdb3 GROUPS DEBUG_CXX_FLAGS)
   endif(APPLE)
   if(CMAKE_CONFIGURATION_TYPES)
     set(debug_config_list "${CMAKE_CONFIGURATION_TYPES}")
   else(CMAKE_CONFIGURATION_TYPES)
     set(debug_config_list "ALL")
   endif(CMAKE_CONFIGURATION_TYPES)
-  ADD_NEW_FLAG(C DEBUG_C_FLAGS "${debug_config_list}")
-  ADD_NEW_FLAG(CXX DEBUG_CXX_FLAGS "${debug_config_list}")
+  add_new_flag(C DEBUG_C_FLAGS "${debug_config_list}")
+  add_new_flag(CXX DEBUG_CXX_FLAGS "${debug_config_list}")
   # TODO - need to figure out a way to actually test linker flags
-  ADD_NEW_FLAG(SHARED_LINKER DEBUG_C_FLAGS "${debug_config_list}")
-  ADD_NEW_FLAG(EXE_LINKER DEBUG_C_FLAGS "${debug_config_list}")
+  add_new_flag(SHARED_LINKER DEBUG_C_FLAGS "${debug_config_list}")
+  add_new_flag(EXE_LINKER DEBUG_C_FLAGS "${debug_config_list}")
   mark_as_advanced(DEBUG_FLAGS)
 endif(BRLCAD_FLAGS_DEBUG)
 
@@ -352,22 +352,22 @@
   endif(NOT MACOSX_DEPLOYMENT_TARGET)
 
   if(MACOSX_DEPLOYMENT_TARGET STREQUAL "10.3")
-    BRLCAD_CHECK_C_FLAG("mmacosx-version-min=10.3 -isysroot /Developer/SDKs/MacOSX10.3.9.sdk" VARS SDK_FLAG)
+    brlcad_check_c_flag("mmacosx-version-min=10.3 -isysroot /Developer/SDKs/MacOSX10.3.9.sdk" VARS SDK_FLAG)
   endif(MACOSX_DEPLOYMENT_TARGET STREQUAL "10.3")
   if(MACOSX_DEPLOYMENT_TARGET STREQUAL "10.4")
-    BRLCAD_CHECK_C_FLAG("mmacosx-version-min=10.4 -isysroot /Developer/SDKs/MacOSX10.4u.sdk" VARS SDK_FLAG)
+    brlcad_check_c_flag("mmacosx-version-min=10.4 -isysroot /Developer/SDKs/MacOSX10.4u.sdk" VARS SDK_FLAG)
   endif(MACOSX_DEPLOYMENT_TARGET STREQUAL "10.4")
   if(MACOSX_DEPLOYMENT_TARGET STREQUAL "10.5")
-    BRLCAD_CHECK_C_FLAG("mmacosx-version-min=10.5 -isysroot /Developer/SDKs/MacOSX10.5.sdk" VARS SDK_FLAG)
+    brlcad_check_c_flag("mmacosx-version-min=10.5 -isysroot /Developer/SDKs/MacOSX10.5.sdk" VARS SDK_FLAG)
   endif(MACOSX_DEPLOYMENT_TARGET STREQUAL "10.5")
   if(MACOSX_DEPLOYMENT_TARGET STREQUAL "10.6")
-    BRLCAD_CHECK_C_FLAG("mmacosx-version-min=10.6 -isysroot /Developer/SDKs/MacOSX10.6.sdk" VARS SDK_FLAG)
+    brlcad_check_c_flag("mmacosx-version-min=10.6 -isysroot /Developer/SDKs/MacOSX10.6.sdk" VARS SDK_FLAG)
   endif(MACOSX_DEPLOYMENT_TARGET STREQUAL "10.6")
 
-  ADD_NEW_FLAG(C SDK_FLAG ALL)
-  ADD_NEW_FLAG(CXX SDK_FLAG ALL)
-  ADD_NEW_FLAG(SHARED_LINKER SDK_FLAG ALL)
-  ADD_NEW_FLAG(EXE_LINKER SDK_FLAG ALL)
+  add_new_flag(C SDK_FLAG ALL)
+  add_new_flag(CXX SDK_FLAG ALL)
+  add_new_flag(SHARED_LINKER SDK_FLAG ALL)
+  add_new_flag(EXE_LINKER SDK_FLAG ALL)
 endif(APPLE)
 
 # Local Variables:
Index: misc/CMake/FindXMLLINT.cmake
===================================================================
--- misc/CMake/FindXMLLINT.cmake	(revision 54114)
+++ misc/CMake/FindXMLLINT.cmake	(working copy)
@@ -43,7 +43,7 @@
 mark_as_advanced(XMLLINT_EXECUTABLE)
 
 include(FindPackageHandleStandardArgs)
-FIND_PACKAGE_HANDLE_STANDARD_ARGS(XMLLINT DEFAULT_MSG XMLLINT_EXECUTABLE)
+find_package_handle_standard_args(XMLLINT DEFAULT_MSG XMLLINT_EXECUTABLE)
 
 # FindXMLLINT.cmake ends here
 
Index: misc/CMake/FindLEX.cmake
===================================================================
--- misc/CMake/FindLEX.cmake	(revision 54114)
+++ misc/CMake/FindLEX.cmake	(working copy)
@@ -101,7 +101,7 @@
       if(${ARGC} EQUAL 5)
         if("${ARGV3}" STREQUAL "COMPILE_FLAGS")
           set(LEX_EXECUTABLE_opts  "${ARGV4}")
-          SEPARATE_ARGUMENTS(LEX_EXECUTABLE_opts)
+          separate_arguments(LEX_EXECUTABLE_opts)
         else()
           message(SEND_ERROR ${LEX_TARGET_usage})
         endif()
@@ -146,20 +146,20 @@
 
   #Need to run a test lex file to determine if YYTEXT_POINTER needs
   #to be defined
-  EXEC_PROGRAM(${LEX_EXECUTABLE} ARGS ${CMAKE_SOURCE_DIR}/misc/CMake/test_srcs/lex_test.l -o ${CMAKE_BINARY_DIR}/CMakeTmp/lex_test.c RETURN_VALUE _retval OUTPUT_VARIABLE _lexOut)
-  INCLUDE (CheckCSourceRuns)
+  exec_program(${LEX_EXECUTABLE} ARGS ${CMAKE_SOURCE_DIR}/misc/CMake/test_srcs/lex_test.l -o ${CMAKE_BINARY_DIR}/CMakeTmp/lex_test.c RETURN_VALUE _retval OUTPUT_VARIABLE _lexOut)
+  include (CheckCSourceRuns)
   set(FILE_RUN_DEFINITIONS "-DYYTEXT_POINTER=1")
-  CHECK_C_SOURCE_RUNS(${CMAKE_SOURCE_DIR}/misc/CMake/test_srcs/sys_wait_test.c YYTEXT_POINTER)
+  check_c_source_runs(${CMAKE_SOURCE_DIR}/misc/CMake/test_srcs/sys_wait_test.c YYTEXT_POINTER)
   set(FILE_RUN_DEFINITIONS)
   if(CONFIG_H_FILE)
-    CONFIG_H_APPEND(${CMAKE_CURRENT_PROJECT} "#cmakedefine YYTEXT_POINTER 1\n")
+    config_h_append(${CMAKE_CURRENT_PROJECT} "#cmakedefine YYTEXT_POINTER 1\n")
   endif(CONFIG_H_FILE)
 
 
 endif(LEX_EXECUTABLE)
 
 include(FindPackageHandleStandardArgs)
-FIND_PACKAGE_HANDLE_STANDARD_ARGS(LEX DEFAULT_MSG LEX_EXECUTABLE)
+find_package_handle_standard_args(LEX DEFAULT_MSG LEX_EXECUTABLE)
 
 # Local Variables:
 # tab-width: 8
Index: misc/CMake/FindOIIO.cmake
===================================================================
--- misc/CMake/FindOIIO.cmake	(revision 54114)
+++ misc/CMake/FindOIIO.cmake	(working copy)
@@ -45,27 +45,27 @@
 endif ()
 
 
-MESSAGE ( STATUS "OPENIMAGEIOHOME = ${OPENIMAGEIOHOME}" )
+message ( STATUS "OPENIMAGEIOHOME = ${OPENIMAGEIOHOME}" )
 
 find_library ( OPENIMAGEIO_LIBRARY
   NAMES OpenImageIO
   PATHS ${OPENIMAGEIOHOME}/lib )
 find_path ( OPENIMAGEIO_INCLUDES OpenImageIO/imageio.h
   ${OPENIMAGEIOHOME}/include )
-IF (OPENIMAGEIO_INCLUDES AND OPENIMAGEIO_LIBRARY )
-  SET ( OPENIMAGEIO_FOUND TRUE )
-  MESSAGE ( STATUS "OpenImageIO includes = ${OPENIMAGEIO_INCLUDES}" )
-  MESSAGE ( STATUS "OpenImageIO library = ${OPENIMAGEIO_LIBRARY}" )
-  MESSAGE ( STATUS "OpenImageIO namespace = ${OPENIMAGEIO_NAMESPACE}" )
+if (OPENIMAGEIO_INCLUDES AND OPENIMAGEIO_LIBRARY )
+  set ( OPENIMAGEIO_FOUND TRUE )
+  message ( STATUS "OpenImageIO includes = ${OPENIMAGEIO_INCLUDES}" )
+  message ( STATUS "OpenImageIO library = ${OPENIMAGEIO_LIBRARY}" )
+  message ( STATUS "OpenImageIO namespace = ${OPENIMAGEIO_NAMESPACE}" )
   if (OPENIMAGEIO_NAMESPACE)
     add_definitions ("-DOPENIMAGEIO_NAMESPACE=${OPENIMAGEIO_NAMESPACE}")
   endif ()
   # N.B. -- once we're confident that we only build against OIIO >= 0.9.x,
   # specifically versions after we did the big namespace change, then we
   # can completely eliminate the 'OPENIMAGEIO_NAMESPACE' parts above.
-ELSE ()
-  MESSAGE ( STATUS "OpenImageIO not found" )
-ENDIF ()
+else ()
+  message ( STATUS "OpenImageIO not found" )
+endif ()
 
 # end OpenImageIO setup
 ###########################################################################
Index: misc/CMake/BRLCAD_Summary.cmake
===================================================================
--- misc/CMake/BRLCAD_Summary.cmake	(revision 54114)
+++ misc/CMake/BRLCAD_Summary.cmake	(working copy)
@@ -320,7 +320,7 @@
 
 # Set state messages for standard components
 foreach(item ${THIRD_PARTY_COMPONENT_LIST})
-  GET_BUILD_STATE(${item})
+  get_build_state(${item})
 endforeach(item ${THIRD_PARTY_COMPONENT_LIST})
 
 # IncrTcl is both ITCL and ITK - handle the various possibilities here
Index: misc/CMake/CheckCSourceRuns.cmake
===================================================================
--- misc/CMake/CheckCSourceRuns.cmake	(revision 54114)
+++ misc/CMake/CheckCSourceRuns.cmake	(working copy)
@@ -70,32 +70,32 @@
 #
 #=============================================================================
 
-MACRO(CHECK_C_SOURCE_RUNS SOURCE VAR)
-  IF("${VAR}" MATCHES "^${VAR}$")
-    SET(MACRO_CHECK_FUNCTION_DEFINITIONS
+macro(CHECK_C_SOURCE_RUNS SOURCE VAR)
+  if("${VAR}" MATCHES "^${VAR}$")
+    set(MACRO_CHECK_FUNCTION_DEFINITIONS
       "-D${VAR} ${CMAKE_REQUIRED_FLAGS}")
-    IF(CMAKE_REQUIRED_LIBRARIES)
-      SET(CHECK_C_SOURCE_COMPILES_ADD_LIBRARIES
+    if(CMAKE_REQUIRED_LIBRARIES)
+      set(CHECK_C_SOURCE_COMPILES_ADD_LIBRARIES
         "-DLINK_LIBRARIES:STRING=${CMAKE_REQUIRED_LIBRARIES}")
-    ELSE(CMAKE_REQUIRED_LIBRARIES)
-      SET(CHECK_C_SOURCE_COMPILES_ADD_LIBRARIES)
-    ENDIF(CMAKE_REQUIRED_LIBRARIES)
-    IF(CMAKE_REQUIRED_INCLUDES)
-      SET(CHECK_C_SOURCE_COMPILES_ADD_INCLUDES
+    else(CMAKE_REQUIRED_LIBRARIES)
+      set(CHECK_C_SOURCE_COMPILES_ADD_LIBRARIES)
+    endif(CMAKE_REQUIRED_LIBRARIES)
+    if(CMAKE_REQUIRED_INCLUDES)
+      set(CHECK_C_SOURCE_COMPILES_ADD_INCLUDES
         "-DINCLUDE_DIRECTORIES:STRING=${CMAKE_REQUIRED_INCLUDES}")
-    ELSE(CMAKE_REQUIRED_INCLUDES)
-      SET(CHECK_C_SOURCE_COMPILES_ADD_INCLUDES)
-    ENDIF(CMAKE_REQUIRED_INCLUDES)
-    IF(EXISTS "${SOURCE}")
-      SET(CHECK_SRC "${SOURCE}")
-    ELSE(EXISTS "${SOURCE}")
-      FILE(WRITE "${CMAKE_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/CMakeTmp/src.c"
+    else(CMAKE_REQUIRED_INCLUDES)
+      set(CHECK_C_SOURCE_COMPILES_ADD_INCLUDES)
+    endif(CMAKE_REQUIRED_INCLUDES)
+    if(EXISTS "${SOURCE}")
+      set(CHECK_SRC "${SOURCE}")
+    else(EXISTS "${SOURCE}")
+      file(WRITE "${CMAKE_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/CMakeTmp/src.c"
         "${SOURCE}\n")
-      SET(CHECK_SRC "${CMAKE_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/CMakeTmp/src.c")
-    ENDIF(EXISTS "${SOURCE}")
+      set(CHECK_SRC "${CMAKE_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/CMakeTmp/src.c")
+    endif(EXISTS "${SOURCE}")
 
-    MESSAGE(STATUS "Performing Test ${VAR}")
-    TRY_RUN(${VAR}_EXITCODE ${VAR}_COMPILED
+    message(STATUS "Performing Test ${VAR}")
+    try_run(${VAR}_EXITCODE ${VAR}_COMPILED
       ${CMAKE_BINARY_DIR}
       ${CHECK_SRC}
       COMPILE_DEFINITIONS ${CMAKE_REQUIRED_DEFINITIONS}
@@ -105,35 +105,35 @@
       "${CHECK_C_SOURCE_COMPILES_ADD_INCLUDES}"
       COMPILE_OUTPUT_VARIABLE OUTPUT)
     # if it did not compile make the return value fail code of 1
-    IF(NOT ${VAR}_COMPILED)
-      SET(${VAR}_EXITCODE 1)
-    ENDIF(NOT ${VAR}_COMPILED)
+    if(NOT ${VAR}_COMPILED)
+      set(${VAR}_EXITCODE 1)
+    endif(NOT ${VAR}_COMPILED)
     # if the return value was 0 then it worked
-    IF("${${VAR}_EXITCODE}" EQUAL 0)
-      SET(${VAR} 1 CACHE INTERNAL "Test ${VAR}")
-      MESSAGE(STATUS "Performing Test ${VAR} - Success")
-      FILE(APPEND ${CMAKE_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/CMakeOutput.log
+    if("${${VAR}_EXITCODE}" EQUAL 0)
+      set(${VAR} 1 CACHE INTERNAL "Test ${VAR}")
+      message(STATUS "Performing Test ${VAR} - Success")
+      file(APPEND ${CMAKE_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/CMakeOutput.log
         "Performing C SOURCE FILE Test ${VAR} succeeded with the following output:\n"
         "${OUTPUT}\n"
         "Return value: ${${VAR}}\n"
         "Source file was:\n${SOURCE}\n")
-    ELSE("${${VAR}_EXITCODE}" EQUAL 0)
-      IF(CMAKE_CROSSCOMPILING AND "${${VAR}_EXITCODE}" MATCHES  "FAILED_TO_RUN")
-        SET(${VAR} "${${VAR}_EXITCODE}")
-      ELSE(CMAKE_CROSSCOMPILING AND "${${VAR}_EXITCODE}" MATCHES  "FAILED_TO_RUN")
-        SET(${VAR} "" CACHE INTERNAL "Test ${VAR}")
-      ENDIF(CMAKE_CROSSCOMPILING AND "${${VAR}_EXITCODE}" MATCHES  "FAILED_TO_RUN")
+    else("${${VAR}_EXITCODE}" EQUAL 0)
+      if(CMAKE_CROSSCOMPILING AND "${${VAR}_EXITCODE}" MATCHES  "FAILED_TO_RUN")
+        set(${VAR} "${${VAR}_EXITCODE}")
+      else(CMAKE_CROSSCOMPILING AND "${${VAR}_EXITCODE}" MATCHES  "FAILED_TO_RUN")
+        set(${VAR} "" CACHE INTERNAL "Test ${VAR}")
+      endif(CMAKE_CROSSCOMPILING AND "${${VAR}_EXITCODE}" MATCHES  "FAILED_TO_RUN")
 
-      MESSAGE(STATUS "Performing Test ${VAR} - Failed")
-      FILE(APPEND ${CMAKE_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/CMakeError.log
+      message(STATUS "Performing Test ${VAR} - Failed")
+      file(APPEND ${CMAKE_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/CMakeError.log
         "Performing C SOURCE FILE Test ${VAR} failed with the following output:\n"
         "${OUTPUT}\n"
         "Return value: ${${VAR}_EXITCODE}\n"
         "Source file was:\n${SOURCE}\n")
 
-    ENDIF("${${VAR}_EXITCODE}" EQUAL 0)
-  ENDIF("${VAR}" MATCHES "^${VAR}$")
-ENDMACRO(CHECK_C_SOURCE_RUNS)
+    endif("${${VAR}_EXITCODE}" EQUAL 0)
+  endif("${VAR}" MATCHES "^${VAR}$")
+endmacro(CHECK_C_SOURCE_RUNS)
 
 
 # Local Variables:
